package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * WtgType对象 wtg_type
 *
 * @author hlf
 * @date 2022-01-10
 */
public class WtgType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long typeNo;

    private String typeName;

    private String manufacturer;

    private Long powerRating;

    private Double hubHeight;

    private Double rotorDiameter;

    private Double cutInWspeed;

    private Double ratedWspeed;

    private Double cutOutWspeed;

    public void setTypeNo(Long typeNo) {
        this.typeNo = typeNo;
    }

    public Long getTypeNo() {
        return typeNo;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setPowerRating(Long powerRating) {
        this.powerRating = powerRating;
    }

    public Long getPowerRating() {
        return powerRating;
    }

    public void setHubHeight(Double hubHeight) {
        this.hubHeight = hubHeight;
    }

    public Double getHubHeight() {
        return hubHeight;
    }

    public void setRotorDiameter(Double rotorDiameter) {
        this.rotorDiameter = rotorDiameter;
    }

    public Double getRotorDiameter() {
        return rotorDiameter;
    }

    public void setCutInWspeed(Double cutInWspeed) {
        this.cutInWspeed = cutInWspeed;
    }

    public Double getCutInWspeed() {
        return cutInWspeed;
    }

    public void setRatedWspeed(Double ratedWspeed) {
        this.ratedWspeed = ratedWspeed;
    }

    public Double getRatedWspeed() {
        return ratedWspeed;
    }

    public void setCutOutWspeed(Double cutOutWspeed) {
        this.cutOutWspeed = cutOutWspeed;
    }

    public Double getCutOutWspeed() {
        return cutOutWspeed;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("typeNo", getTypeNo())
                .append("typeName", getTypeName())
                .append("manufacturer", getManufacturer())
                .append("powerRating", getPowerRating())
                .append("hubHeight", getHubHeight())
                .append("rotorDiameter", getRotorDiameter())
                .append("cutInWspeed", getCutInWspeed())
                .append("ratedWspeed", getRatedWspeed())
                .append("cutOutWspeed", getCutOutWspeed())
                .toString();
    }
}
